Skip to main content
`Ctrl`+`K`

# EPSGetST

Obtain the spectral transformation (`ST`) object associated to the eigensolver object.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGetST(EPS eps,ST *st)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- st - spectral transformation context

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetST()`

## Level

intermediate

## Location

src/eps/interface/epsbasic.c

## Examples

src/eps/tutorials/ex35.c
src/eps/tutorials/ex7.c
src/eps/tutorials/ex10.c
src/eps/tutorials/ex49.c
src/eps/tutorials/ex46.c
src/eps/tutorials/ex24.c
src/eps/tutorials/ex25.c
src/eps/tutorials/ex34.c
src/eps/tutorials/ex12.c
src/eps/tutorials/ex43.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages